diff -urN linux-2.4.21/drivers/block/rd.c linux-2.4.21.zipit/drivers/block/rd.c
--- linux-2.4.21/drivers/block/rd.c	2002-11-28 18:53:12.000000000 -0500
+++ linux-2.4.21.zipit/drivers/block/rd.c	2004-03-15 14:52:32.000000000 -0500
@@ -61,7 +61,11 @@
 #include <linux/blkpg.h>
 
 /* The RAM disk size is now a parameter */
-#define NUM_RAMDISKS 16		/* This cannot be overridden (yet) */ 
+#ifdef CONFIG_ARCH_ZIPLINE
+#define NUM_RAMDISKS 1
+#else
+#define NUM_RAMDISKS 16		/* This cannot be overridden (yet) */
+#endif /* CONFIG_ARCH_ZIPLINE */
 
 #ifdef CONFIG_BLK_DEV_INITRD
 static int initrd_users;

