diff -urN linux-2.4.21/drivers/mtd/maps/Makefile linux-2.4.21.zipit/drivers/mtd/maps/Makefile
--- linux-2.4.21/drivers/mtd/maps/Makefile	2005-02-07 11:17:13.062300058 -0500
+++ linux-2.4.21.zipit/drivers/mtd/maps/Makefile	2004-03-15 14:52:58.000000000 -0500
@@ -3,7 +3,11 @@
 #
 # $Id: Makefile,v 1.37 2003/01/24 14:26:38 dwmw2 Exp $
 
+BELOW25		:= $(shell echo $(PATCHLEVEL) | sed s/[1234]/y/)
+
+ifeq ($(BELOW25),y)
 O_TARGET	:= mapslink.o
+endif
 
 # Chip mappings
 obj-$(CONFIG_MTD_CDB89712)	+= cdb89712.o
@@ -13,7 +17,7 @@
 obj-$(CONFIG_MTD_DC21285)	+= dc21285.o
 obj-$(CONFIG_MTD_DILNETPC)	+= dilnetpc.o
 obj-$(CONFIG_MTD_ELAN_104NC)	+= elan-104nc.o
-obj-$(CONFIG_MTD_EPXA)		+= epxa-flash.o
+obj-$(CONFIG_MTD_EPXA10DB)	+= epxa10db-flash.o
 obj-$(CONFIG_MTD_IQ80310)	+= iq80310.o
 obj-$(CONFIG_MTD_L440GX)	+= l440gx.o
 obj-$(CONFIG_MTD_AMD76XROM)	+= amd76xrom.o
@@ -25,9 +29,9 @@
 obj-$(CONFIG_MTD_OCTAGON)	+= octagon-5066.o
 ifneq ($(CONFIG_MTD_PHYSMAP),n)
   ifeq ($(CONFIG_MTD_PHYSMAP_BUSWIDTH),8)
-    obj-$(CONFIG_MTD_PHYSMAP)	+= physmap64.o
+    obj-$(CONFIG_MTD_PHYSMAP)	+= physmap64.o 
   else
-    obj-$(CONFIG_MTD_PHYSMAP)	+= physmap.o
+    obj-$(CONFIG_MTD_PHYSMAP)	+= physmap.o 
   endif
 endif
 obj-$(CONFIG_MTD_PNC2000)	+= pnc2000.o
@@ -35,9 +39,6 @@
 obj-$(CONFIG_MTD_RPXLITE)	+= rpxlite.o
 obj-$(CONFIG_MTD_TQM8XXL)	+= tqm8xxl.o
 obj-$(CONFIG_MTD_SA1100)	+= sa1100-flash.o
-ifeq ($(CONFIG_ASSABET_NEPONSET),y)
-  obj-$(CONFIG_MTD_SA1100)	+= neponset-flash.o
-endif
 obj-$(CONFIG_MTD_SBC_GXX)	+= sbc_gxx.o
 obj-$(CONFIG_MTD_SC520CDP)	+= sc520cdp.o
 obj-$(CONFIG_MTD_NETSC520)	+= netsc520.o

