diff -urN linux-2.4.21/drivers/mtd/maps/sa1100-flash.c linux-2.4.21.zipit/drivers/mtd/maps/sa1100-flash.c
--- linux-2.4.21/drivers/mtd/maps/sa1100-flash.c	2005-02-07 11:17:13.075298869 -0500
+++ linux-2.4.21.zipit/drivers/mtd/maps/sa1100-flash.c	2004-03-15 14:52:58.000000000 -0500
@@ -97,32 +97,6 @@
  * entries.  Thanks.
  */
 
-#ifdef CONFIG_SA1100_ADSAGC
-#define ADSAGC_FLASH_SIZE		0x02000000
-static struct mtd_partition adsagc_partitions[] = {
-	{
-		name:		"bootROM",
-		size:		0x80000,
-		offset:		0,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	}, {
-		name:		"zImage",
-		size:		0x100000,
-		offset:		MTDPART_OFS_APPEND,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	}, {
-		name:		"ramdisk.gz",
-		size:		0x300000,
-		offset:		MTDPART_OFS_APPEND,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	}, {
-		name:		"User FS",
-		size:		MTDPART_SIZ_FULL,
-		offset:		MTDPART_OFS_APPEND,
-	}
-};
-#endif
-
 #ifdef CONFIG_SA1100_ADSBITSY
 #define ADSBITSY_FLASH_SIZE		0x02000000
 static struct mtd_partition adsbitsy_partitions[] = {
@@ -149,32 +123,6 @@
 };
 #endif
 
-#ifdef CONFIG_SA1100_ADSBITSYPLUS
-#define ADSBITSYPLUS_FLASH_SIZE		0x02000000
-static struct mtd_partition adsbitsyplus_partitions[] = {
-	{
-		name:		"bootROM",
-		size:		0x80000,
-		offset:		0,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	}, {
-		name:		"zImage",
-		size:		0x100000,
-		offset:		MTDPART_OFS_APPEND,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	}, {
-		name:		"ramdisk.gz",
-		size:		0x300000,
-		offset:		MTDPART_OFS_APPEND,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	}, {
-		name:		"User FS",
-		size:		MTDPART_SIZ_FULL,
-		offset:		MTDPART_OFS_APPEND,
-	}
-};
-#endif
-
 #ifdef CONFIG_SA1100_ASSABET
 /* Phase 4 Assabet has two 28F160B3 flash parts in bank 0: */
 #define ASSABET4_FLASH_SIZE		0x00400000
@@ -490,7 +438,7 @@
 #endif
 
 #ifdef CONFIG_SA1100_GRAPHICSMASTER
-#define GRAPHICSMASTER_FLASH_SIZE	0x02000000
+#define GRAPHICSMASTER_FLASH_SIZE	0x01000000
 static struct mtd_partition graphicsmaster_partitions[] = {
 	{
 		name:		"zImage",
@@ -559,38 +507,6 @@
 }
 #endif
 
-#ifdef CONFIG_SA1100_HACKKIT
-#define HACKKIT_FLASH_SIZE		0x01000000
-static struct mtd_partition hackkit_partitions[] = {
-	{
-		name:		"BLOB",
-		size:		0x00040000,
-		offset:		0x00000000,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	}, {
-		name:		"config",
-		size:		0x00040000,
-		offset:		MTDPART_OFS_APPEND,
-	}, {
-		name:		"kernel",
-		size:		0x00100000,
-		offset:		MTDPART_OFS_APPEND,
-	}, {
-		name:		"initrd",
-		size:		0x00180000,
-		offset:		MTDPART_OFS_APPEND,
-	}, {
-		name:		"rootfs",
-		size:		0x700000,
-		offset:		MTDPART_OFS_APPEND,
-	}, {
-		name:		"data",
-		size:		MTDPART_SIZ_FULL,
-		offset:		MTDPART_OFS_APPEND,
-	}
-};
-#endif
-
 #ifdef CONFIG_SA1100_HUW_WEBPANEL
 #define HUW_WEBPANEL_FLASH_SIZE		0x01000000
 static struct mtd_partition huw_webpanel_partitions[] = {
@@ -639,12 +555,12 @@
 		offset:		0x00540000,
 	}, {
 		name:		"JORNADA720 usr local",
-		size:		0,  /* will expand to the end of the flash */
+		size:		0  /* will expand to the end of the flash */
 		offset:		0x00d00000,
 	}
 };
 
-static void jornada720_set_vpp(struct map_info *map, int vpp)
+static void jornada720_set_vpp(int vpp)
 {
 	if (vpp)
 		PPSR |= 0x80;
@@ -655,27 +571,6 @@
 
 #endif
 
-#ifdef CONFIG_SA1100_NANOENGINE
-/* nanoEngine has one 28F320B3B Flash part in bank 0: */
-#define NANOENGINE_FLASH_SIZE		0x00400000
-static struct mtd_partition nanoengine_partitions[] = {
-	{
-		name:		"nanoEngine boot firmware and parameter table",
-		size:		0x00010000,  /* 32K */
-		offset:		0x00000000,
-		mask_flags:	MTD_WRITEABLE,  /* force read-only */
-	},{
-		name:		"kernel/initrd reserved",
-		size:		0x002f0000,
-		offset:		0x00010000,
-	},{
-		name:		"experimental filesystem allocation",
-		size:		0x00100000,
-		offset:		0x00300000,
-	}
-};
-#endif
-
 #ifdef CONFIG_SA1100_PANGOLIN
 #define PANGOLIN_FLASH_SIZE		0x04000000
 static struct mtd_partition pangolin_partitions[] = {
@@ -804,32 +699,6 @@
 };
 #endif /* CONFIG_SA1100_SIMPAD */
 
-#ifdef CONFIG_SA1100_SIMPUTER
-#define SIMPUTER_FLASH_SIZE 0x02000000
-static struct mtd_partition simputer_partitions[] = {
-	{
-		name:		"blob+logo",
-		offset:		0,
-		size:		0x00040000
-	},
-	{
-		name:		"kernel",
-		offset:		MTDPART_OFS_APPEND,
-		size:		0x000C0000
-	},
-	{
-		name:		"/(cramfs)",
-		offset:		MTDPART_OFS_APPEND,
-		size:		0x00200000
-	},
-	{
-		name:		"/usr/local(jffs2)",
-		offset:		MTDPART_OFS_APPEND,
-		size:		MTDPART_SIZ_FULL /* expand till the end */
-	}
-};
-#endif
-
 #ifdef CONFIG_SA1100_STORK
 #define STORK_FLASH_SIZE		0x02000000
 static struct mtd_partition stork_partitions[] = {
@@ -897,7 +766,7 @@
 #endif
 
 extern int parse_redboot_partitions(struct mtd_info *master, struct mtd_partition **pparts);
-extern int parse_cmdline_partitions(struct mtd_info *master, struct mtd_partition **pparts, char *);
+extern int parse_bootldr_partitions(struct mtd_info *master, struct mtd_partition **pparts);
 
 static struct mtd_partition *parsed_parts;
 static struct mtd_info *mymtd;
@@ -918,14 +787,6 @@
 	 */
 	part_type = "static";
 
-#ifdef CONFIG_SA1100_ADSAGC
-	if (machine_is_adsagc()) {
-		parts = adsagc_partitions;
-		nb_parts = ARRAY_SIZE(adsagc_partitions);
-		sa1100_map.size = ADSAGC_FLASH_SIZE;
-		sa1100_map.buswidth = (MSC1 & MSC_RBW) ? 2 : 4;
-	}
-#endif
 #ifdef CONFIG_SA1100_ADSBITSY
 	if (machine_is_adsbitsy()) {
 		parts = adsbitsy_partitions;
@@ -934,14 +795,6 @@
 		sa1100_map.buswidth = (MSC1 & MSC_RBW) ? 2 : 4;
 	}
 #endif
-#ifdef CONFIG_SA1100_ADSBITSYPLUS
-	if (machine_is_adsbitsyplus()) {
-		parts = adsbitsyplus_partitions;
-		nb_parts = ARRAY_SIZE(adsbitsyplus_partitions);
-		sa1100_map.size = ADSBITSYPLUS_FLASH_SIZE;
-		sa1100_map.buswidth = (MSC1 & MSC_RBW) ? 2 : 4;
-	}
-#endif
 #ifdef CONFIG_SA1100_ASSABET
 	if (machine_is_assabet()) {
 		parts = assabet_partitions;
@@ -1016,13 +869,6 @@
 		sa1100_map.set_vpp = h3600_set_vpp;
 	}
 #endif
-#ifdef CONFIG_SA1100_HACKKIT
-	if (machine_is_hackkit()) {
-		parts = hackkit_partitions;
-		nb_parts = ARRAY_SIZE(hackkit_partitions);
-		sa1100_map.size = HACKKIT_FLASH_SIZE;
-	}
-#endif
 #ifdef CONFIG_SA1100_HUW_WEBPANEL
 	if (machine_is_huw_webpanel()) {
 		parts = huw_webpanel_partitions;
@@ -1038,13 +884,6 @@
 		sa1100_map.set_vpp = jornada720_set_vpp;
 	}
 #endif
-#ifdef CONFIG_SA1100_NANOENGINE
-	if (machine_is_nanoengine()) {
-		parts = nanoengine_partitions;
-		nb_parts = ARRAY_SIZE(nanoengine_partitions);
-		sa1100_map.size = NANOENGINE_FLASH_SIZE;
-	}
-#endif
 #ifdef CONFIG_SA1100_PANGOLIN
 	if (machine_is_pangolin()) {
 		parts = pangolin_partitions;
@@ -1080,13 +919,6 @@
 		sa1100_map.size = SIMPAD_FLASH_SIZE;
 	}
 #endif
-#ifdef CONFIG_SA1100_SIMPUTER
-	if (machine_is_simputer()) {
-		parts = simputer_partitions;
-		nb_parts = ARRAY_SIZE(simputer_partitions);
-		sa1100_map.size = SIMPUTER_FLASH_SIZE;
-	}
-#endif
 #ifdef CONFIG_SA1100_STORK
 	if (machine_is_stork()) {
 		parts = stork_partitions;
@@ -1121,9 +953,7 @@
 	 * specific machine settings might have been set above.
 	 */
 	printk(KERN_NOTICE "SA1100 flash: probing %d-bit flash bus\n", sa1100_map.buswidth*8);
-	mymtd = do_map_probe("jedec_probe", &sa1100_map);
-	if (!mymtd)
-		mymtd = do_map_probe("cfi_probe", &sa1100_map);
+	mymtd = do_map_probe("cfi_probe", &sa1100_map);
 	ret = -ENXIO;
 	if (!mymtd)
 		goto out_err;

