diff -urN linux-2.4.21/include/asm-arm/arch-clps711x/irqs.h linux-2.4.21.zipit/include/asm-arm/arch-clps711x/irqs.h
--- linux-2.4.21/include/asm-arm/arch-clps711x/irqs.h	2002-08-02 20:39:45.000000000 -0400
+++ linux-2.4.21.zipit/include/asm-arm/arch-clps711x/irqs.h	2004-04-20 12:46:26.000000000 -0400
@@ -49,5 +49,10 @@
 #define INT2_IRQS			(0x30070000)
 #define INT2_ACK_IRQS			(0x00010000)
 
+#ifdef CONFIG_ARCH_ZIPLINE
+#define NR_IRQS                         48
+#define FIQ_START			32
+#else
 #define NR_IRQS                         30
+#endif /* CONFIG_ARCH_ZIPLINE */
 

