diff -urN linux-2.4.21/include/linux/blk.h linux-2.4.21.zipit/include/linux/blk.h
--- linux-2.4.21/include/linux/blk.h	2002-08-02 20:39:45.000000000 -0400
+++ linux-2.4.21.zipit/include/linux/blk.h	2004-04-20 12:47:00.000000000 -0400
@@ -155,7 +155,7 @@
 #elif (MAJOR_NR == SCSI_TAPE_MAJOR)
 
 #define DEVICE_NAME "scsitape"
-#define DEVICE_INTR do_st  
+#define DEVICE_INTR do_st
 #define DEVICE_NR(device) (MINOR(device) & 0x7f)
 
 #elif (MAJOR_NR == OSST_MAJOR)
@@ -364,10 +364,15 @@
 #endif
 
 #define INIT_REQUEST \
+	printk(KERN_ERR "In INIT_REQUEST\n"); \
 	if (QUEUE_EMPTY) {\
+		printk(KERN_ERR "QUEUE_EMPTY\n"); \
 		CLEAR_INTR; \
+		printk(KERN_ERR "CLEAR_INTR\n");\
 		return; \
 	} \
+	printk(KERN_ERR "MAJOR CURRENT = 0x%08X\n",CURRENT); \
+	printk(KERN_ERR "Blk_queue_head = 0x%08X\n", blk_dev[MAJOR_NR].request_queue.queue_head); \
 	if (MAJOR(CURRENT->rq_dev) != MAJOR_NR) \
 		panic(DEVICE_NAME ": request list destroyed"); \
 	if (CURRENT->bh) { \

