diff -urN -X dontdiff linux-2.4.21/arch/arm/kernel/fiq.c linux-2.4.21.32/arch/arm/kernel/fiq.c
--- linux-2.4.21/arch/arm/kernel/fiq.c	2003-06-13 08:51:29.000000000 -0600
+++ linux-2.4.21.32/arch/arm/kernel/fiq.c	2005-03-20 10:55:05.000000000 -0700
@@ -122,22 +122,22 @@
 	register unsigned long tmp, tmp2;
 	__asm__ volatile (
 #ifdef CONFIG_CPU_26
-	"mov	%0, pc
-	bic	%1, %0, #0x3
-	orr	%1, %1, %3
-	teqp	%1, #0		@ select FIQ mode
-	mov	r0, r0
-	ldmia	%2, {r8 - r14}
-	teqp	%0, #0		@ return to SVC mode
+	"mov	%0, pc\n\
+	bic	%1, %0, #0x3\n\
+	orr	%1, %1, %3\n\
+	teqp	%1, #0		@ select FIQ mode\n\
+	mov	r0, r0\n\
+	ldmia	%2, {r8 - r14}\n\
+	teqp	%0, #0		@ return to SVC mode\n\
 	mov	r0, r0"
 #endif
 #ifdef CONFIG_CPU_32
-	"mrs	%0, cpsr
-	mov	%1, %3
-	msr	cpsr_c, %1	@ select FIQ mode
-	mov	r0, r0
-	ldmia	%2, {r8 - r14}
-	msr	cpsr_c, %0	@ return to SVC mode
+	"mrs	%0, cpsr\n\
+	mov	%1, %3\n\
+	msr	cpsr_c, %1	@ select FIQ mode\n\
+	mov	r0, r0\n\
+	ldmia	%2, {r8 - r14}\n\
+	msr	cpsr_c, %0	@ return to SVC mode\n\
 	mov	r0, r0"
 #endif
 	: "=&r" (tmp), "=&r" (tmp2)
@@ -154,22 +154,22 @@
 	register unsigned long tmp, tmp2;
 	__asm__ volatile (
 #ifdef CONFIG_CPU_26
-	"mov	%0, pc
-	bic	%1, %0, #0x3
-	orr	%1, %1, %3
-	teqp	%1, #0		@ select FIQ mode
-	mov	r0, r0
-	stmia	%2, {r8 - r14}
-	teqp	%0, #0		@ return to SVC mode
+	"mov	%0, pc\n\
+	bic	%1, %0, #0x3\n\
+	orr	%1, %1, %3\n\
+	teqp	%1, #0		@ select FIQ mode\n\
+	mov	r0, r0\n\
+	stmia	%2, {r8 - r14}\n\
+	teqp	%0, #0		@ return to SVC mode\n\
 	mov	r0, r0"
 #endif
 #ifdef CONFIG_CPU_32
-	"mrs	%0, cpsr
-	mov	%1, %3
-	msr	cpsr_c, %1	@ select FIQ mode
-	mov	r0, r0
-	stmia	%2, {r8 - r14}
-	msr	cpsr_c, %0	@ return to SVC mode
+	"mrs	%0, cpsr\n\
+	mov	%1, %3\n\
+	msr	cpsr_c, %1	@ select FIQ mode\n\
+	mov	r0, r0\n\
+	stmia	%2, {r8 - r14}\n\
+	msr	cpsr_c, %0	@ return to SVC mode\n\
 	mov	r0, r0"
 #endif
 	: "=&r" (tmp), "=&r" (tmp2)

