diff -urN -X dontdiff linux-2.4.21/arch/arm/kernel/head-armv.S linux-2.4.21.32/arch/arm/kernel/head-armv.S
--- linux-2.4.21/arch/arm/kernel/head-armv.S	2005-11-04 20:52:11.000000000 -0700
+++ linux-2.4.21.32/arch/arm/kernel/head-armv.S	2005-02-23 21:19:08.000000000 -0700
@@ -130,6 +130,13 @@
  */
 		mov	r1, #MACH_TYPE_L7200
 #endif
+#if defined(CONFIG_ARCH_ZIPLINE)
+/*
+ * FIXME - No bootloader, so manually set 'r1' with our architecture number.
+*/
+ 		mov	r1, #MACH_TYPE_ZIPLINE
+
+#endif
 
 		mov	r0, #F_BIT | I_BIT | MODE_SVC	@ make sure svc mode
 		msr	cpsr_c, r0			@ and all irqs disabled

