diff -urN -X dontdiff linux-2.4.21/arch/arm/lib/getuser.S linux-2.4.21.32/arch/arm/lib/getuser.S
--- linux-2.4.21/arch/arm/lib/getuser.S	2002-08-02 18:39:42.000000000 -0600
+++ linux-2.4.21.32/arch/arm/lib/getuser.S	2005-03-20 11:02:58.000000000 -0700
@@ -17,7 +17,7 @@
  *
  * Inputs:	r0 contains the address
  * Outputs:	r0 is the error code
- *		r1, r2 contains the zero-extended value
+ *		r1, ip contains the zero-extended value
  *		lr corrupted
  *
  * No other registers must be altered.  (see include/asm-arm/uaccess.h
@@ -42,14 +42,14 @@
 
 	.global	__get_user_2
 __get_user_2:
-	bic	r2, sp, #0x1f00
-	bic	r2, r2, #0x00ff
-	ldr	r2, [r2, #TSK_ADDR_LIMIT]
-	sub	r2, r2, #2
-	cmp	r0, r2
+	bic	ip, sp, #0x1f00
+	bic	ip, ip, #0x00ff
+	ldr	ip, [ip, #TSK_ADDR_LIMIT]
+	sub	ip, ip, #2
+	cmp	r0, ip
 2:	ldrlsbt	r1, [r0], #1
-3:	ldrlsbt	r2, [r0]
-	orrls	r1, r1, r2, lsl #8
+3:	ldrlsbt	ip, [r0]
+	orrls	r1, r1, ip, lsl #8
 	movls	r0, #0
 	movls	pc, lr
 	b	__get_user_bad
@@ -68,20 +68,20 @@
 
 	.global	__get_user_8
 __get_user_8:
-	bic	r2, sp, #0x1f00
-	bic	r2, r2, #0x00ff
-	ldr	r2, [r2, #TSK_ADDR_LIMIT]
-	sub	r2, r2, #8
-	cmp	r0, r2
+	bic	ip, sp, #0x1f00
+	bic	ip, ip, #0x00ff
+	ldr	ip, [ip, #TSK_ADDR_LIMIT]
+	sub	ip, ip, #8
+	cmp	r0, ip
 5:	ldrlst	r1, [r0], #4
-6:	ldrlst	r2, [r0]
+6:	ldrlst	ip, [r0]
 	movls	r0, #0
 	movls	pc, lr
 
 	/* fall through */
 
 __get_user_bad_8:
-	mov	r2, #0
+	mov	ip, #0
 __get_user_bad:
 	mov	r1, #0
 	mov	r0, #-14

