diff -urN -X dontdiff linux-2.4.21/drivers/serial/clps711x.c linux-2.4.21.32/drivers/serial/clps711x.c
--- linux-2.4.21/drivers/serial/clps711x.c	2005-11-04 20:52:17.000000000 -0700
+++ linux-2.4.21.32/drivers/serial/clps711x.c	2005-09-13 18:08:54.000000000 -0600
@@ -196,6 +196,7 @@
 	struct uart_port *port = dev_id;
 	struct circ_buf *xmit = &port->info->xmit;
 	int count;
+	unsigned int full;
 
 	if (port->x_char) {
 		clps_writel(port->x_char, UARTDR(port));
@@ -210,6 +211,9 @@
 
 	count = port->fifosize >> 1;
 	do {
+	    full = (clps_readl(SYSFLG(port)) & SYSFLG_UTXFF);
+		if (full)		/* test for fifo full, this seems neccessary for the Zipit */ 
+		    break;
 		clps_writel(xmit->buf[xmit->tail], UARTDR(port));
 		xmit->tail = (xmit->tail + 1) & (UART_XMIT_SIZE - 1);
 		port->icount.tx++;

