diff -urN -X dontdiff linux-2.4.21/fs/block_dev.c linux-2.4.21.32/fs/block_dev.c
--- linux-2.4.21/fs/block_dev.c	2003-06-13 08:51:37.000000000 -0600
+++ linux-2.4.21.32/fs/block_dev.c	2005-09-17 21:05:56.000000000 -0600
@@ -95,7 +95,10 @@
 	sync_buffers(dev, 2);
 	blksize_size[MAJOR(dev)][MINOR(dev)] = size;
 	bdev->bd_inode->i_blkbits = blksize_bits(size);
-	kill_bdev(bdev);
+	/* without the following change, mounts of cramfs-via-ramdisk fail with 'cramfs: wrong magic' - */
+	/* fix per Debian patches to 2.4.22 */
+	/* kill_bdev(bdev); */
+	invalidate_bdev(bdev, 1);
 	bdput(bdev);
 	return 0;
 }

