diff -urN linux-2.4.21/drivers/net/cs89x0.h linux-2.4.21.zipit/drivers/net/cs89x0.h
--- linux-2.4.21/drivers/net/cs89x0.h	2002-11-28 18:53:13.000000000 -0500
+++ linux-2.4.21.zipit/drivers/net/cs89x0.h	2004-04-20 12:47:29.000000000 -0400
@@ -427,8 +427,8 @@
 #define DMA_SIZE (16*1024) /*  Size of dma buffer - 16k */
 
 #define CS8900 0x0000
-#define CS8920 0x4000   
-#define CS8920M 0x6000   
+#define CS8920 0x4000
+#define CS8920M 0x6000
 #define REVISON_BITS 0x1F00
 #define EEVER_NUMBER 0x12
 #define CHKSUM_LEN 0x14
@@ -439,6 +439,8 @@
 #define PNP_IRQ_FRMT 0x0022 /*  PNP small item IRQ format */
 #ifdef CONFIG_SH_HICOSH4
 #define CS8900_IRQ_MAP 0x0002 /* HiCO-SH4 board has its IRQ on #1 */
+#elif defined (CONFIG_ARCH_ZIPLINE)
+#define CS8900_IRQ_MAP 0x0080
 #else
 #define CS8900_IRQ_MAP 0x1c20 /*  This IRQ map is fixed */
 #endif

