diff -urN linux-2.4.21/include/asm-arm/hardware/zipline.h linux-2.4.21.zipit/include/asm-arm/hardware/zipline.h
--- linux-2.4.21/include/asm-arm/hardware/zipline.h	1969-12-31 19:00:00.000000000 -0500
+++ linux-2.4.21.zipit/include/asm-arm/hardware/zipline.h	2004-04-20 12:46:41.000000000 -0400
@@ -0,0 +1,30 @@
+/*
+ *  linux/include/asm-arm/hardware/zipline.h
+ *
+ *  This file contains the hardware definitions of the ZIPLINE internal
+ *  registers.
+ *
+ *  Copyright (C) 2000 Deep Blue Solutions Ltd.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+#ifndef __ASM_HARDWARE_ZIPLINE_H
+#define __ASM_HARDWARE_ZIPLINE_H
+
+#include <linux/config.h>
+
+#include <asm/hardware/ep7312.h>
+#endif
+

