diff -urN -X dontdiff linux-2.4.21/drivers/char/Makefile linux-2.4.21.32/drivers/char/Makefile
--- linux-2.4.21/drivers/char/Makefile	2005-11-04 20:52:11.000000000 -0700
+++ linux-2.4.21.32/drivers/char/Makefile	2005-03-11 11:18:45.000000000 -0700
@@ -18,6 +18,10 @@
 
 obj-y	 += mem.o tty_io.o n_tty.o tty_ioctl.o raw.o pty.o misc.o random.o
 
+
+obj-$(CONFIG_LCD) += lcd_drv.o
+
+
 # All of the (potential) objects that export symbols.
 # This list comes from 'grep -l EXPORT_SYMBOL *.[hc]'.
 
@@ -122,6 +126,10 @@
     KEYMAP   := defkeymap.o
     KEYBD    += clps711x_keyb.o
   endif
+  ifeq ($(CONFIG_ARCH_ZIPLINE),y)
+    KEYMAP   := zipkeymap.o
+    KEYBD    += zipline_keyb.o
+  endif
   ifeq ($(CONFIG_SA1100_GRAPHICSCLIENT),y)
     KEYMAP    = gckeymap.o
     KEYBD    += gc_keyb.o
@@ -369,5 +377,8 @@
 defkeymap.c: defkeymap.map
 	set -e ; loadkeys --mktable $< | sed -e 's/^static *//' > $@
 
+zipkeymap.c: zipkeymap.map
+	set -e ; loadkeys --mktable $< | sed -e 's/^static *//' > $@
+
 qtronixmap.c: qtronixmap.map
 	set -e ; loadkeys --mktable $< | sed -e 's/^static *//' > $@

