diff -urN -X dontdiff linux-2.4.21/include/asm-arm/arch-clps711x/hardware.h linux-2.4.21.32/include/asm-arm/arch-clps711x/hardware.h
--- linux-2.4.21/include/asm-arm/arch-clps711x/hardware.h	2005-11-04 20:52:17.000000000 -0700
+++ linux-2.4.21.32/include/asm-arm/arch-clps711x/hardware.h	2005-11-10 10:59:48.000000000 -0700
@@ -42,6 +42,7 @@
 #define CS5_PHYS_BASE		(0x50000000)
 #define CS6_PHYS_BASE		(0x60000000)
 #define CS7_PHYS_BASE		(0x70000000)
+#define FB_SEG			(0x6)
 #else
 #define CS0_PHYS_BASE		(0x70000000)
 #define CS1_PHYS_BASE		(0x60000000)
@@ -51,6 +52,7 @@
 #define CS5_PHYS_BASE		(0x20000000)
 #define CS6_PHYS_BASE		(0x10000000)
 #define CS7_PHYS_BASE		(0x00000000)
+#define FB_SEG			(0x1)
 #endif
 
 #if defined (CONFIG_ARCH_EP7211)
@@ -235,6 +237,7 @@
 #define ZIPLINE_PHYS_SRAM_CONFIG		CS6_PHYS_BASE	/* physical */
 
 #define ZIPLINE_VIRT_SRAM_CONFIG		(0xf8000000)	/* virtual */
+#define SRAM_SIZE			(0xc000)
 
 #define FLASH_START      CS0_PHYS_BASE
 #define FLASH_SIZE       0x00200000

